extends layout

block content
  include includes/mixins/contact

  div(class='row')
    div(class='col-sm-10')
      div(class='container')
        - var bio = content.bio;
        div(id='bio', class='row black-bg bio')
          div(class='col-sm-12')
            div(class='row page-header orange-text')
              div(class='col-sm-5')
                h3= content.bio.name
              div(class='col-sm-7 role')= bio.role

            div(class='row')
              div(class='col-sm-12 contacts text-center')
                - var contacts = bio.contacts;
                +contact(contacts.mobile, contacts.email, contacts.github, contacts.linkedin, contacts.location)

            div(class='row')
              div(class='col-sm-3')
                img(class='pic img-circle img-responsive center-block', src='#{bio.pic}')/
              div(class='col-sm-9 white-text')
                div(class='row welcome-message')= bio.welcomeMessage
                div(class='row orange-text') : SKILLS.
                div(class='row')
                  ul(class='list-group js-masonry')
                    each skill in bio.skills
                      li(class='list-group-item skill')= skill
        
        - var work = content.work;
        div(id='jobs', class='row orange-bg jobs')
          div(class='col-sm-12')
            div(class='row')
              h2(class='col-sm-12') : WORK-HISTORY.
            each job in work.jobs
              div(class='row')
                div(class='col-sm-12 white-text')!= job.employer + ' - ' + job.title
              div(class='row')
                div(class='col-sm-6 text-left')= job.dates
                div(class='col-sm-6 text-right')= job.location
              div(class='row')
                div(class='col-sm-12')
                  p!= job.description

        - var projects = content.projects;
        div(id='projects', class='row white-bg projects')
          div(class='col-sm-12')
            div(class='row')
              h2(class='col-sm-12') : [PRO]JECTS.
            each project in projects
              div(class='row')
                div(class='col-sm-6 text-left orange-text')!= project.title
                div(class='col-sm-6 text-right')
                  time= project.dates
              div(class='row')
                div(class='col-sm-12 description')
                  p!= project.description
              div(class='row')
                div(class='col-sm-12 images js-masonry')
                  each image in project.images
                    img(src='#{image}', class='image')/

        - var education = content.education;
        div(id='schooling', class='row orange-bg schooling')
          div(class='col-sm-12')
            div(class='row')
              h2(class='col-sm-12') : SCHOOLING.
            each school in education.schools
              div(class='row')
                div(class='col-sm-12 white-text')!= school.name + ' - ' + school.degree
              div(class='row')
                div(class='col-sm-6 text-left date')= school.dates
                div(class='col-sm-6 text-right')= school.location
              div(class='row')
                div(class='col-sm-12 majors')
                  p= school.majors.join(', ')
            div(id='virtual', class='row')
              h3(class='col-sm-12') : [ON]LINE-COURSES.
            each onlineCourse in education.onlineCourses
              div(class='row')
                div(class='col-sm-12 white-text')!= onlineCourse.title + ' - ' + onlineCourse.school
              div(class='row')
                div(class='col-sm-12')= onlineCourse.date
              div(class='row')
                div(class='col-sm-12')
                  a(href='#{onlineCourse.url}', target='_blank')= onlineCourse.url

        div(id='places', class='row white-bg places')
          div(class='col-sm-12')
            div(class='row')
              h2(class='col-sm-12') : PLACES-OF-WORKING-AND-LIVING.
            div(class='row')
              div(class='map')

      block footer
        div(class='container')
          div(class='row')
            div(class='col-sm-12 footer text-center')
              div(class='row orange-bg')
                div(class='col-sm-12 connect') : LET'S-CONNECT.
              div(class='row black-bg border-bottom')
                div(class='col-sm-12 contacts center-block padding-top')
                  - var contacts = bio.contacts;
                  +contact(contacts.mobile, contacts.email, contacts.github, contacts.linkedin, contacts.location)

    div(class='col-sm-2 scrollspy')
      ul(id='nav', class='nav hidden-xs hidden-sm', data-spy='affix', data-offset-top='60')
        li(class='active')
          a(href='#bio', class='nav-item') : BIO:
        li
          a(href='#jobs', class='nav-item') : WORK-HISTORY:
        li
          a(href='#projects', class='nav-item') : [PRO]JECTS:
        li
          a(href='#schooling', class='nav-item') : SCHOOLING:
          ul(class='nav')
            li
              a(href='#virtual', class='sub-nav-item') : [ON]LINE-COURSES:
        li
          a(href='#places', class='nav-item') : PLACES:
